Licensing
Verify license key
Is this license key one Cove delivered for the product, and is it still valid?
POST
/
v1
/
licenses
/
verify
curl -X POST https://api.coveapp.cc/v1/licenses/verify \
-H "Authorization: Bearer $COVE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"product":"my-script","key":"XXXX-XXXX-XXXX"}'
{
"data": {}
}Needs the
licensing:read permission on a store key.string
required
The product’s id or slug.
string
required
The license key the buyer has.
curl -X POST https://api.coveapp.cc/v1/licenses/verify \
-H "Authorization: Bearer $COVE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"product":"my-script","key":"XXXX-XXXX-XXXX"}'
object
Whether the key is one Cove delivered for the product, and whether it is still valid.
Last modified on November 3, 2026
Was this page helpful?
⌘I
curl -X POST https://api.coveapp.cc/v1/licenses/verify \
-H "Authorization: Bearer $COVE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"product":"my-script","key":"XXXX-XXXX-XXXX"}'
{
"data": {}
}